Loading...
Searching...
No Matches
XrdCryptosslX509Crl.cc File Reference
`#include "XrdCrypto/XrdCryptosslRSA.hh"`
`#include "XrdCrypto/XrdCryptosslX509Crl.hh"`
`#include "XrdCrypto/XrdCryptosslAux.hh"`
`#include "XrdCrypto/XrdCryptosslTrace.hh"`
`#include <openssl/bn.h>`
`#include <openssl/pem.h>`
`#include <cerrno>`
`#include <ctime>`
`#include <fcntl.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
Include dependency graph for XrdCryptosslX509Crl.cc:

Go to the source code of this file.

## Macros

#define | X509_CRL_get0_lastUpdate X509_CRL_get_lastUpdate
#define | X509_CRL_get0_nextUpdate X509_CRL_get_nextUpdate
#define | X509_REVOKED_get0_revocationDate(x)
#define | X509_REVOKED_get0_serialNumber(x)

## Macro Definition Documentation

## X509_CRL_get0_lastUpdate

#define X509_CRL_get0_lastUpdate X509_CRL_get_lastUpdate

Definition at line 53 of file XrdCryptosslX509Crl.cc.

Referenced by XrdCryptosslX509Crl::LastUpdate().

## X509_CRL_get0_nextUpdate

#define X509_CRL_get0_nextUpdate X509_CRL_get_nextUpdate

Definition at line 54 of file XrdCryptosslX509Crl.cc.

Referenced by XrdCryptosslX509Crl::NextUpdate().

## X509_REVOKED_get0_revocationDate

#define X509_REVOKED_get0_revocationDate | ( |  | x | ) |

Value:
(x)->revocationDate

Definition at line 51 of file XrdCryptosslX509Crl.cc.

## X509_REVOKED_get0_serialNumber

#define X509_REVOKED_get0_serialNumber | ( |  | x | ) |

Value:
(x)->serialNumber

Definition at line 52 of file XrdCryptosslX509Crl.cc.